Bug 148942 - Patch to conditionnaly remove X11 support
Summary: Patch to conditionnaly remove X11 support
Status: CLOSED INSUFFICIENT_DATA
Alias: None
Product: Fedora
Classification: Fedora
Component: urw-fonts (Show other bugs)
(Show other bugs)
Version: 3
Hardware: All Linux
medium
medium
Target Milestone: ---
Assignee: Ngo Than
QA Contact: David Lawrence
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-02-17 02:01 UTC by Philip Gwyn
Modified: 2008-02-06 23:35 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-06 23:35:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Patch to spec file (2.64 KB, patch)
2005-02-17 02:02 UTC, Philip Gwyn
no flags Details | Diff

Description Philip Gwyn 2005-02-17 02:01:23 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3)
Gecko/20040914

Description of problem:
This patch adds %define use_X to the spec file.  This define is then
used to conditionnaly turn functionnaly that needs X11 on or off.

Deactivating X11 is useful for servers.

Ghostscript requires urw-fonts.  
The %post and %postun use mkfontdir and mkfontscale to create
font.dirs and font.scale.  I think only xfs needs these files, but I
include the ones that are in the tar ball with the final noarch.rpm.

Version-Release number of selected component (if applicable):
urw-fonts-2.2-6

How reproducible:
Always

Steps to Reproduce:
1. Default FC3 install
2. rpm -e xorg-x11-font-utils
    

Actual Results:  ghostscript requires urw-fonts, urw-fonts requires
mkfontscale, which is in xorg-x11-font-utils.

Expected Results:  Being able to install a server w/o X11 libs.

Additional info:

Comment 1 Philip Gwyn 2005-02-17 02:02:04 UTC
Created attachment 111149 [details]
Patch to spec file

Comment 2 Matthew Miller 2006-07-10 21:31:34 UTC
Fedora Core 3 is now maintained by the Fedora Legacy project for security
updates only. If this problem is a security issue, please reopen and
reassign to the Fedora Legacy product. If it is not a security issue and
hasn't been resolved in the current FC5 updates or in the FC6 test
release, reopen and change the version to match.

Thank you!


Comment 3 petrosyan 2008-02-06 23:35:11 UTC
Fedora Core 3 is not maintained anymore.

Setting status to "INSUFFICIENT_DATA". If you can reproduce this bug in the
current Fedora release please reopen this bug and assign it to the corresponding
Fedora version.


Note You need to log in before you can comment on or make changes to this bug.